Subject: Re: [PATCH] cvs-migration documentation update

From: "J. Bruce Fields" <[email-masked]>
Date: Mon, 30 Jan 2006 22:40:37 -0500

On Mon, Jan 30, 2006 at 07:18:17PM -0800, Junio C Hamano wrote:
> "J. Bruce Fields" <[email-masked]> writes:
> 
> > Here's some changes to the cvs-migration.txt.  As usual, in my attempt
> > to make things clearer someone may have found I've made them less so, or
> > I may have just gotten something wrong; so any review is welcomed.
> 
> Again, thanks for doing this.

Hey, it's fun.

> > -..., and the
> > -first step to recovery is admitting you have a problem. The fact that
> > -you are reading this file means that you may be well on that path
> > -already.
> > -
> > -The thing about CVS is that it absolutely sucks...
> > -
> > -One particular suckage of CVS is very hard to work around: CVS is...
> 
> Somehow I miss the above two paragraphs and a half ;-).

Hah.  Yes, understood.  But I figured a reader trying to migrate away
from CVS is more painfully aware of the above than anyone, so better to
just get out of their way and let them get on with it....

> But listing the differences as bullet points as you did makes
> things much clearer.  I like it.

OK!  Good.

> > +If some else has updated the repository more recently, `git push`, like
> 
> some else?

Whoops, thanks for noticing, should be "someone", obviously.

Let me know if you'd like a revised patch.--b.